edu.isi.pegasus.planner.parser.dax

## Interface DAXParser

All Known Implementing Classes:
  DAXParser2, DAXParser3

    public interface DAXParser

An interface for all the DAX Parsers

Version:
  $Revision$
Author:
  Karan Vahi

### Method Summary

All Methods Instance Methods Abstract Methods
`Callback` `getDAXCallback()` Retuns the DAXCallback for the parser
`void` `setDAXCallback(Callback c)` Set the DAXCallback for the parser to call out to.

### Method Detail

#### setDAXCallback

    void setDAXCallback(Callback c)

Set the DAXCallback for the parser to call out to.

Parameters:
  `c` - the callback

#### getDAXCallback

    Callback getDAXCallback()

Retuns the DAXCallback for the parser

Returns:
  the callback